feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Compiler.Frontend.Interactive.Interface

# Documentation

data PrgType

Constructors

ForType |
AssignType |
IfType |

forPrg :: PrgType

ifPrg :: PrgType

assignPrg :: PrgType

getProgram :: (Int, Int) -> PrgType -> Module DebugToCSemanticInfo -> IO ()

compile :: Compilable t internal => t -> FilePath -> String -> Options -> IO ()

icompile :: Compilable t internal => t -> IO ()

icompile' :: Compilable t internal => t -> String -> Options -> IO ()

icompileWithInfos :: Compilable t internal => t -> String -> Options -> SplitCompToCCoreResult